@ECHO OFF
rem Wir befinden uns unter reinem MS-DOS
rem Benutzte Umgebungsvariablen:
rem
rem PKB      enthaelt den Pfad, in dem DOS installiert ist
rem PKB_MODE enthaelt die auszufuehrende Patch-Aktion
rem RETURN   enthaelt die Ruecksprungadresse fuer GOTO

:start
CLS
ECHO.
ECHO Betriebssystem ist MS-DOS
ECHO.
ECHO Um Ihnen ein manuelles Aendern der Konfigurationsdateien (AUTOEXEC.BAT und
ECHO CONFIG.SYS) zu ersparen, wird Ihr Tastaturtreiber direkt geaendert.
ECHO Es wird eine Sicherheitskopie mit der Endung BKP im DOS-Verzeichnis angelegt.
ECHO Nach dem Patchen muessen Sie den Rechner neu starten, damit die Aenderungen
ECHO wirksam werden.
ECHO.
ECHO Wie moechten Sie die Tastatur belegen?
ECHO (Immer nur eine Auswahl, nach einem Patch gelangen Sie hierher zurueck)
ECHO 1 - Punkt auf dem Nummernblock
ECHO 2 - Komma auf dem Nummernblock
ECHO 3 - ShiftLock (wie Schreibmaschine)
ECHO 4 - CapsLock  (wie EDV)
ECHO.
ECHO 5 - Alles rueckgaengig machen (Wiederherstellung des Originalzustands)
ECHO.
ECHO 0 - Programm beenden

..\PKBTools\CHOICE.EXE /c:123450
IF ERRORLEVEL 6 GOTO :ende
IF ERRORLEVEL 5 GOTO :undo
IF ERRORLEVEL 4 GOTO :caps
IF ERRORLEVEL 3 GOTO :shift
IF ERRORLEVEL 2 GOTO :komma
IF ERRORLEVEL 1 GOTO :punkt
ECHO Unerwarteter Fehler, keine Aktion ausgefuehrt.
GOTO :ende

:caps
SET pkb_mode=caps
SET return=patch_it
GOTO :getpath

:shift
SET pkb_mode=shift
SET return=patch_it
GOTO :getpath

:komma
SET pkb_mode=komma
SET return=patch_it
GOTO :getpath

:punkt
SET pkb_mode=punkt
SET return=patch_it
GOTO :getpath

:patch_it
rem Pruefe, ob die Datei ueberhaupt vorhanden ist:
IF NOT EXIST %pkb%\KEYBOARD.SYS GOTO :nofile
rem KEYBOARD.SYS ist vorhanden (enthaelt das ShiftLock-Layout)
rem Lege ggf. Sicherheitskopie an (%pkb%\KEYBOARD.BKP)
IF NOT EXIST %pkb%\KEYBOARD.BKP copy %pkb%\KEYBOARD.SYS %pkb%\KEYBOARD.BKP
rem Versuche, die Datei zu patchen:
ECHO Patche %pkb%\KEYBOARD.SYS...
IF "%pkb_mode%" == "caps" ..\PKBTools\MSDOSPKB %pkb%\KEYBOARD.SYS -capslock
IF "%pkb_mode%" == "shift" ..\PKBTools\MSDOSPKB %pkb%\KEYBOARD.SYS -shiftlock
IF "%pkb_mode%" == "komma" ..\PKBTools\MSDOSPKB %pkb%\KEYBOARD.SYS -komma
IF "%pkb_mode%" == "punkt" ..\PKBTools\MSDOSPKB %pkb%\KEYBOARD.SYS -punkt
rem Fehlerabfrage des Tools:
IF ERRORLEVEL 2 GOTO :nopatch
IF ERRORLEVEL 1 GOTO :nofile
rem Alles in Ordnung, zurueck zum Menue:
ECHO.
ECHO Patch wurde fehlerfrei durchgefuehrt.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
SET pkb_mode=
SET return=
GOTO :start

:undo
rem Stelle den urspruenglichen Zustand vor dem Patchen wieder her, indem der
rem originale Treiber, der als Sicherheitskopie KEYBOARD.BKP vorliegt, umbenannt
rem und der gepatchte Treiber geloescht wird.
rem Haben wir den DOS-Pfad schon?
SET return=undo_1
GOTO :getpath

:undo_1
rem Pruefe, ob die Datei ueberhaupt vorhanden ist:
IF NOT EXIST %pkb%\KEYBOARD.BKP GOTO :nofile
ECHO.
ECHO Stelle urspruenglichen Treiber wieder her...
DEL %pkb%\KEYBOARD.SYS > NUL
REN %pkb%\KEYBOARD.BKP KEYBOARD.SYS > NUL
PAUSE
SET return=
GOTO :start

:nopatch
rem Beim Patchen des MS-DOS-Treibers ist ein Fehler aufgetreten.
ECHO.
ECHO FEHLER!
ECHO Der Treiber wurde nicht erkannt - kein Patch durchgefuehrt.
ECHO Stellen Sie sicher, dass es sich um den originalen Treiber von MS-DOS handelt!
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
SET pkb=
SET pkb_mode=
SET return=
GOTO :start

:nofile
rem Der MS-DOS-Treiber wurde nicht gefunden.
ECHO.
ECHO FEHLER!
ECHO Der Treiber wurde nicht gefunden - keine Aktion durchgefuehrt.
ECHO Stellen Sie sicher, dass Sie den richtigen Pfad (samt Laufwerk) eingegeben
ECHO haben. Evtl. existiert auch die zu patchende Datei KEYBOARD.SYS nicht in
ECHO diesem Pfad.
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
SET pkb=
SET pkb_mode=
SET return=
GOTO :start

:getpath
rem Haben wir den DOS-Pfad schon?
IF NOT "%pkb%" == "" GOTO :%return%
ECHO.
ECHO Bitte geben Sie an, wo MS-DOS installiert ist (Bitte zweimal ENTER druecken):
ECHO Beispiel C:\DOS
..\PKBTools\Key2Env Kompletter_Pfad:_ pkb setpath.bat
rem Belege die Variable pkb mit dem Pfad:
CALL SETPATH.BAT
DEL SETPATH.BAT > NUL
GOTO :%return%

:ende
CD ..
SET pkb_mode=
SET pkb=
SET return=
