@ECHO OFF

:start
CLS
ECHO.
ECHO PatchKeyboard Version 4.4, 15.2.2001, Dirk Schwarzmann
ECHO.
ECHO EMail: Dirk.Schwarzmann@gmx.de
ECHO WWW:   http://www.informatik.uni-oldenburg.de/~rob/
ECHO.
ECHO Lesen Sie bitte auch die Datei PKB_44.TXT !
ECHO.
ECHO.
ECHO PatchKeyboard ist Cardware!
ECHO Bitte lassen Sie sich registrieren, indem Sie mir eine Ansichtskarte schicken.
ECHO Wenn Sie zusaetzlich Ihre EMail-Adresse angeben, werden Sie dann bei neuen
ECHO Versionen automatisch benachrichtigt.
ECHO.
ECHO Bitte schicken Sie Ihre Postkarte an:
ECHO.
ECHO Dirk Schwarzmann
ECHO Heidelberger Str. 37
ECHO 64285 Darmstadt
ECHO.
PAUSE

:paramtest
rem Ueberpruefen, ob und welche Parameter angegeben wurden
rem Kein Parameter angegeben? Dann springe zur automatischen Erkennung
IF "%1" == "" GOTO :testbs

rem PCASE.EXE wandelt den ersten Parameter in Grossbuchstaben und belegt die
rem Variable "param" mit ihm:
.\PKBTOOLS\PCASE.EXE %1 -upper param > SETPARAM.BAT
CALL SETPARAM.BAT
DEL SETPARAM.BAT > NUL

rem Jetzt steht der Inhalt aus %1 in Grossbuchstaben in %param%, das heisst,
rem wir muessen nicht jede Kombination aus Gross- und Kleinschreibung testen:
IF "%param%" == "-MSDOS" GOTO :msdos
IF "%param%" == "-DOS" GOTO :dos
IF "%param%" == "-WIN3" GOTO :win3
IF "%param%" == "-WIN95" GOTO :win95
IF "%param%" == "-WIN98" GOTO :win98
IF "%param%" == "-WINNT4" GOTO :nt4
IF "%param%" == "-WIN2000" GOTO :win2k
IF "%param%" == "-WIN2K" GOTO :win2k
IF "%param%" == "-NT4ADMIN" GOTO :nt4
IF "%param%" == "-2000ADMIN" GOTO :win2k

rem Parameter ist unbekannt, springe zur Hilfe
GOTO :hilfe

:testbs
rem ==========================================================================
CLS
ECHO.
ECHO Waehlen Sie Ihr Betriebssystem:
ECHO.
ECHO 1 - MS-DOS
ECHO 2 - Anderes DOS
ECHO 3 - Windows 3.x
ECHO 4 - Windows 95
ECHO 5 - Windows 98
ECHO 6 - Windows NT 4.0
ECHO 7 - Windows 2000
ECHO.
ECHO 9 - Hilfe anzeigen
ECHO.
ECHO 0 - Programm beenden
.\PKBTOOLS\CHOICE.EXE /C:123456790
IF ERRORLEVEL 9 GOTO :ende
IF ERRORLEVEL 8 GOTO :hilfe
IF ERRORLEVEL 7 GOTO :win2k
IF ERRORLEVEL 6 GOTO :nt4
IF ERRORLEVEL 5 GOTO :win98
IF ERRORLEVEL 4 GOTO :win95
IF ERRORLEVEL 3 GOTO :win3
IF ERRORLEVEL 2 GOTO :dos
IF ERRORLEVEL 1 GOTO :msdos
GOTO :ende

:win2k
rem ==========================================================================
rem Rufe den Teil auf, der fuer das Patchen in Windows 2000 zustaendig ist
rem Nur der Administrator-Parameter ist interessant:
IF NOT "%param%" == "-2000ADMIN" SET param=
CD Win_2k
CALL .\START.BAT %param%
GOTO :ende

:nt4
rem ==========================================================================
rem Rufe den Teil auf, der fuer das Patchen in Windows NT 4.0 zustaendig ist
rem Nur der Administrator-Parameter ist interessant:
IF NOT "%param%" == "-2000ADMIN" SET param=
CD Win_NT4
CALL .\START.BAT %param%
GOTO :ende

:win98
rem ==========================================================================
rem Rufe den Teil auf, der fuer das Patchen in Windows 98 zustaendig ist
CD Win_98
CALL .\START.BAT
GOTO :ende

:win95
rem ==========================================================================
rem Rufe den Teil auf, der fuer das Patchen in Windows 95 zustaendig ist
CD Win_95
CALL .\START.BAT
GOTO :ende

:win3
rem ==========================================================================
rem Rufe den Teil auf, der fuer das Patchen in Windows 3.x zustaendig ist
CD Win_3x
CALL .\START.BAT
GOTO :testbs

:msdos
rem ==========================================================================
rem Rufe den Teil auf, der fuer das Patchen in echtem MS-DOS zustaendig ist
CD NonMSDOS
CALL .\START_MS.BAT
GOTO :ende

:dos
rem ==========================================================================
rem Rufe den Teil auf, der fuer das Patchen in Nicht-MS-DOS zustaendig ist
CD NonMSDOS
CALL .\STARTDOS.BAT
GOTO :ende

:hilfe
rem ==========================================================================
CLS
ECHO.
ECHO Hinweise zum Aufruf von PatchKeyboard:
ECHO.
ECHO Starten Sie PatchKeyboard entweder ohne oder mit einem der folgenden Parameter:
ECHO.
ECHO PKB_44.BAT -MSDOS    (nur fuer Microsoft DOS)
ECHO PKB_44.BAT -DOS      (fuer alle DOS; installiert alternativen Tastaturtreiber)
ECHO PKB_44.BAT -Win3     (fuer Windows 3.1 und Windows for Workgroups 3.11)
ECHO PKB_44.BAT -Win95    (fuer Windows 95)
ECHO PKB_44.BAT -Win98    (fuer Windows 98)
ECHO PKB_44.BAT -WinNT4   (fuer Windows NT 4.0)
ECHO PKB_44.BAT -Win2000  (fuer Windows 2000)
ECHO.
ECHO PKB_44.BAT -NT4admin  (Administrator-Funktionen erzwingen in Windows NT 4.0)
ECHO PKB_44.BAT -2000admin (Administrator-Funktionen erzwingen in Windows 2000)
ECHO.
ECHO Beim Aufruf ohne Parameter muessen Sie Ihr Betriebssystem selber waehlen - die
ECHO bisherige automatische Erkennung wurde aufgrund der Fehleranfaelligkeit vorerst
ECHO ersatzlos gestrichen.
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
GOTO :testbs

:ende
rem ==========================================================================
SET param=
