@ECHO OFF
rem Wir sind in Windows 98

:start
CLS
ECHO Betriebssystem ist Windows 98
ECHO.
ECHO Was wollen Sie tun? Bitte geben Sie die entsprechende Zahl an.
ECHO.
ECHO Tastaturtreiber installieren:
ECHO 1 - Deutsch (Standard) mit Punkt auf Nummernblock
ECHO 2 - Deutsch (EDV) mit Punkt auf Nummernblock
ECHO.
ECHO Tastenbelegung vor dem Einloggen (gilt fuer alle Benutzer):
ECHO 5 - Sprache waehlen
ECHO.
ECHO Problemfaelle:
ECHO 6 - CapsLock beim Start aus
ECHO 7 - Wenns nicht hilft - Texthinweis
ECHO.
ECHO 0 - Programm beenden
..\PKBTools\CHOICE.EXE /c:125670
IF ERRORLEVEL 6 GOTO :ende
IF ERRORLEVEL 5 GOTO :capshilfe
IF ERRORLEVEL 4 GOTO :capsoff
IF ERRORLEVEL 3 GOTO :sprache
IF ERRORLEVEL 2 GOTO :edvpunkt
IF ERRORLEVEL 1 GOTO :stdpunkt
ECHO Unerwarteter Fehler, keine Aktion ausgefuehrt.
GOTO :ende

:sprache
rem Fuer alle Benutzer: Sprachlayout vor dem Einloggen
rem Exportiere den Layout-Zweig der Registry:
%windir%\REGEDIT /e .\K_Layout.reg "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Keyboard Layouts"
CLS
..\PKBTOOLS\PRELANG.EXE K_Layout.reg PreLang.reg -win9x
IF ERRORLEVEL 2 GOTO :sprache2
IF ERRORLEVEL 1 GOTO :sprache1
rem Trage Aenderung in die Registry ein:
%windir%\REGEDIT /s .\PreLang.reg
rem Die temporaer angelegten Dateien werden nicht mehr gebraucht:
DEL .\K_Layout.reg > NUL
DEL .\PreLang.reg > NUL
ECHO Patch wurde fehlerfrei durchgefuehrt.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
GOTO :start

:sprache1
rem Dieser Fehler darf nie auftauchen:
ECHO Konnte die Eingabedatei (K_Layout.reg) nicht finden
ECHO (Dieser Fehler duerfte eigentlich nicht auftauchen...)
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
GOTO :start

:sprache2
rem Kann passieren: Der User hat ein Layout gewaehlt, das noch nicht im System
rem installiert ist:
ECHO.
ECHO Das von Ihnen gewaehlte Tastaturlayout ist noch nicht installiert. Bitte
ECHO installieren Sie es ueber
ECHO "Start->Einstellungen->Systemsteuerung->Tastatur:Eingabe:Hinzufuegen"
ECHO Dazu benoetigen Sie Ihre Windows-Installations-CD!
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
GOTO :start

:capsoff
rem Bei Problemen: Wenn der Caps-/ShiftLock-Modus bei Start von Windows an ist,
rem kann man ihn hiermit ausschalten.
%windir%\REGEDIT /s .\CL_Off.reg
ECHO Patch wurde fehlerfrei durchgefuehrt.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
GOTO :start

:capshilfe
CLS
ECHO.
ECHO Wenn die Option "CapsLock off" nicht funktioniert - fuer schwere Faelle
ECHO.
ECHO Wenn Ihr Windows startet und immer die CapsLock-Lampe leuchtet, sollte Sie
ECHO diesem Problem mit der oben genannten Option zu Leibe ruecken koennen.
ECHO In hartnaeckigen Faellen funktioniert das allerdings leider nicht. Dafuer
ECHO liefere ich im Verzeichnis PKBTools ein kleines Programm mit, das Sie unter
ECHO DOS und Windows 9x benutzen koennen. Es schaltet den Caps-Modus zuverlaessig
ECHO aus und kann entweder in die Datei AUTOEXEC.BAT oder den Ordner Autostart
ECHO von Windows eingefuegt werden, um bei jedem Start von Windows ausgefuehrt zu
ECHO werden. Es arbeitet nicht permanent im Hintergrund und schluckt daher auch
ECHO keine zusaetzlichen Ressourcen!
ECHO.
ECHO Im selben Verzeichnis finden Sie auch die entsprechenden Programme, um auch
ECHO die NumLock-Taste ein- oder auszuschalten.
ECHO.
ECHO Diese Programme stammen von Microsofts Knowledge-Base Webseite und sind frei
ECHO erhaeltlich, allerdings nur im Quellcode.
ECHO Diese Programme (Caps_On/Off.com, Num_On/Off.com) funktionieren nicht unter
ECHO Windows NT und Windows 2000!
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
GOTO :start

:edvpunkt
rem Hier wird die Registry-Datei aufgerufen, die den neuen Tastaturtreiber fuer
rem "Deutsch (EDV,Punkt)" mit dem Punkt auf dem Nummernblock einfuegt.
rem Ausserdem wird der entsprechende DOS-Treiber gepatcht.
%windir%\REGEDIT /s .\EDVPUNKT.REG
COPY .\KBDGR11.KBD %windir%\SYSTEM\KBDGR11.KBD > NUL
IF NOT EXIST %windir%\COMMAND\KEYBOARD.PKB COPY %windir%\COMMAND\KEYBOARD.SYS %windir%\COMMAND\KEYBOARD.PKB > NUL
rem Versuche, die Datei zu patchen:
..\PKBTools\MSDOSPKB %windir%\COMMAND\KEYBOARD.SYS -punkt -CapsLock
rem Fehlerabfrage des Tools:
IF ERRORLEVEL 2 GOTO :nopatch
IF ERRORLEVEL 1 GOTO :nofile
rem Alles in Ordnung, zurueck zum Menue:
ECHO Patch wurde fehlerfrei durchgefuehrt.
ECHO Sie muessen das Layout noch auswaehlen, wenn Sie es benutzen wollen.
ECHO Sie erreichen es ueber
ECHO "Start->Einstellungen->Systemsteuerung->Tastatur:Eingabe:Hinzufuegen"
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
rem Rufe den Tastatur-Dialog auf:
%windir%\control.exe keyboard
PAUSE
GOTO :start

:stdpunkt
rem Hier wird die Registry-Datei aufgerufen, die den neuen Tastaturtreiber fuer
rem "Deutsch (Schreibmaschine,Punkt)" mit dem Punkt auf dem Nummernblock einfuegt.
rem Ausserdem wird der entsprechende DOS-Treiber kopiert.
%windir%\REGEDIT /s .\STDPUNKT.REG
COPY .\KBDGR10.KBD %windir%\SYSTEM\KBDGR10.KBD > NUL
IF NOT EXIST %windir%\COMMAND\KEYBOARD.PKB COPY %windir%\COMMAND\KEYBOARD.SYS %windir%\COMMAND\KEYBOARD.PKB > NUL
rem Versuche, die Datei zu patchen:
..\PKBTools\MSDOSPKB %windir%\COMMAND\KEYBOARD.SYS -punkt -ShiftLock
rem Fehlerabfrage des Tools:
IF ERRORLEVEL 2 GOTO :nopatch
IF ERRORLEVEL 1 GOTO :nofile
rem Alles in Ordnung, zurueck zum Menue:
ECHO Patch wurde fehlerfrei durchgefuehrt.
ECHO Sie muessen das Layout noch auswaehlen, wenn Sie es benutzen wollen.
ECHO Sie erreichen es ueber
ECHO "Start->Einstellungen->Systemsteuerung->Tastatur:Eingabe:Hinzufuegen"
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
rem Rufe den Tastatur-Dialog auf:
%windir%\control.exe keyboard
PAUSE
GOTO :start

:nopatch
rem Beim Patchen des DOS-Treibers ist ein Fehler aufgetreten.
ECHO.
ECHO FEHLER!
ECHO Der Aufbau der Treiberdatei fuer DOS-Anwendungen ist unbekannt - kein Patch
ECHO durchgefuehrt.
ECHO Stellen Sie sicher, dass es sich um den originalen Treiber von MS-DOS handelt!
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
GOTO :start

:nofile
rem Der DOS-Treiber wurde nicht gefunden.
ECHO.
ECHO FEHLER!
ECHO Die Treiberdatei fuer DOS-Anwendungen wurde nicht gefunden - kein Patch
ECHO durchgefuehrt.
ECHO Evtl. existiert die zu patchende Datei KEYBOARD.SYS nicht.
ECHO.
ECHO Druecken Sie eine beliebige Taste, um zum Menue zurueckzukehren.
PAUSE
GOTO :start

:ende
CD ..
